Ticket #35208

NVDA の言語が日本語のときに数式コンテンツの操作ができない

Open Date: 2015-06-01 21:09 Last Update: 2015-06-03 21:50

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: 外部ツール MileStone: 2015.2jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

NVDA 2015.2jp-beta-150524 において NVDA の言語が日本語のときに数式コンテンツの操作ができない現象を確認しています。

環境

コンテンツ

NVDA の「一般設定」で言語を「英語」にしておくと、

https://www.nvda.jp/nvda2015.2jp/ja/userGuide.html#toc44

に書かれているように NVDA+Alt+m で数式操作モードに入り、左右や上下の矢印キーで移動ることができる。

だが NVDA が既定の言語(日本語)のままだと、数式操作モードに入ったあとで矢印キーを押すと 「No navigation files for this speech style in this language」 のようなメッセージが出て、操作ができない。

ちなみに Firefox で下記を開いて "What your browser displays" の下のセルを操作したときにも、 同じような状況。

http://www.w3.org/Math/XSL/csmall2.xml

これは本家版 RC でちゃんと確認するべきか。。

Attachment File List

No attachments

Ticket History (3/5 Histories)

2015-06-01 21:09 Updated by: nishimoto
  • New Ticket "NVDA の言語が日本語のときに数式コンテンツの操作ができない" created
2015-06-02 16:55 Updated by: nishimoto
  • Milestone Update from (None) to 2015.2jp (closed)
  • Component Update from (None) to 本家
Comment

本家 2015.2 RC2 で確認して本家にチケット作成:

http://community.nvda-project.org/ticket/5126

MathPlayer 4 はスクリーンリーダーがなくても数式を読み上げたり点字に変換する機能を持っている:

http://www.dessci.com/en/products/mathplayer/manual.htm

この MathPlayer 独自の数式への読み付与は、日本語環境でも NVDA の数式サポートでそのまま使われているらしい。

この問題、本家が直さなかったら、日本語版を出すときになにか説明が必要と思われるので、マイルストーンを 2015.2jp にしておく。

2015-06-03 15:50 Updated by: nishimoto
Comment

MathPlayer の仕様だから直せないと言われているので、 もうすこし詳しい報告を書いた:

http://community.nvda-project.org/ticket/5126#comment:4

たしかに日本語の数式読み上げはまだ実用的でない感じがするが、 NVDA の言語が日本語のときだけ日本語の数式操作が動かない、というのは気持ち悪い。

2015-06-03 21:37 Updated by: nishimoto
  • Resolution Update from None to Fixed
  • Component Update from 本家 to 外部ツール
Comment

いろいろやりとりをしてみたけど、 本家としては MathPlayer の不具合なので NVDA は直さないという話。 2015.2 のリリースをこれ以上遅らせたくないようだし。。

そもそも MathPlayer の日本語翻訳になじめない人がいるかも知れないので、 いろいろ考えて、日本語設定に「数式を英語で読み上げる(Always speak math in English)」という オプションを追加して、既定でチェックしておくことにしました。 チェックなしにすれば本家版と同じ挙動になります。

NVDA 本家としては MathPlayer が日本語対応の不具合を直すべき、という見解なので、 そういう交渉をしないといけないようです。いずれ。。

To git@github.com:nvdajp/nvdajp.git
   d0faafc..eacfd9a  jp2015.2 -> jp2015.2
2015-06-03 21:50 Updated by: nishimoto
  • Ticket Close date is changed to 2015-06-03 21:50
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login